﻿.product-four-details {
  html .no-scroll {
    height: 100%;
    overflow: hidden;
  }

  body.no-scroll {
    position: fixed;
    width: 100%;
  }

  .container-comprar {
    width: 100%;
    max-width: 505px;
    margin: 0 auto;
    padding: 0 15px;
  }

  .row {
    display: flex;
    flex-wrap: wrap;
    margin: 50px 40px;
  }

  .col-4 {
    width: 33.3333%;
    padding: 10px;
    box-sizing: border-box;
    text-align: center;
  }

  .col-6 {
    width: 50%;
    padding: 10px;
    box-sizing: border-box;
    text-align: center;
  }

  .text-center {
    text-align: center;
  }

  #btn-donde-comprar {
    position: fixed;
    right: 150px;
    bottom: 20px;
    z-index: 10;
    padding: 20px 60px;
    background-color: #232020;
    color: #ffdb00;
    border: none;
    border-radius: 30px;
    cursor: pointer;
    font-family: "Dashiell", sans-serif !important;
    font-size: 20px;
  }

  button::after {
    position: absolute;
    content: "";
    width: 94%;
    height: 80%;
    top: 11%;
    left: 3%;
    border-radius: 100px;
    box-shadow: inset -0px 0px 0px 2px #ffdb00 !important;
    transition: all 0.25s linear;
  }

  .slide-box {
    position: fixed;
    bottom: -100vh;
    right: 50px;
    left: auto;
    width: 505px;
    height: 100dvh;
    background-color: #f0e8c388;
    backdrop-filter: blur(3px);
    border-left: 3px solid black;
    border-right: 3px solid black;
    transition: bottom 0.5s ease;
    z-index: 99999999999999999999999999999;
    padding: 20px;
    display: flex;
    flex-direction: column;
    overflow: hidden;
  }

  .slide-box.active {
    bottom: 0;
  }

  .slide-box.closing {
    bottom: -100vh;
  }

  .logo-img {
    width: 95px;
    height: auto;
    cursor: pointer;
  }

  .product-img {
    width: 70px;
    height: auto;
    cursor: pointer;
  }

  .content-box {
    display: none;
  }

  .content-box.active {
    display: block;
  }

  .overlay {
    display: none;
    position: fixed;
    inset: 0;
    z-index: 15;
  }

  .overlay.active {
    display: block;
  }

  .cerrar-btn {
    display: none;
    position: absolute;
    top: 10px;
    right: 10px;
    background: transparent;
    color: #232020;
    border: none;
    border-radius: 30px;
    padding: 5px 15px;
    font-size: 16px;
    cursor: pointer;
    z-index: 9999;
    text-decoration: underline;
    text-transform: capitalize;
    font-family: "Dashiell", sans-serif !important;
  }

  .cerrar-btn::after {
    box-shadow: inset -0px 0px 0px 0px #232020 !important;
  }

  body.selection #btn-donde-comprar {
    background-color: #ffdb00;
    color: #232020;
  }

  body.selection #btn-donde-comprar::after {
    box-shadow: inset -0px 0px 0px 2px #232020 !important;
  }

  body.selection .slide-box {
    border-left: 3px solid #ffdb00;
    border-right: 3px solid #ffdb00;
  }

  #goback {
    text-transform: capitalize;
    font-size: 16px;
  }

  #goback::after {
    box-shadow: inset -0px 0px 0px 0px #232020 !important;
  }

  #buttonbuy {
    background-color: #232020;
    font-family: "Dashiell", sans-serif !important;
    color: #ffdb00;
    min-height: 38px;
    margin-top: 10px;
  }

  #buttonbuy::after {
    box-shadow: inset -0px 0px 0px 1px #ffdb00 !important;
  }

  #dynamic-content .row {
    margin: 0px !important;
  }

  #box-content,
  .content-box,
  .container-comprar,
  #content-container {
    height: 100%;
    display: flex;
    flex-direction: column;
  }

  #scroll-content {
    flex: 1;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    overscroll-behavior: contain;
    height: 100%;
    overflow-x: hidden;
    touch-action: pan-y;
  }

  ._texto4 {
  }
  @media screen and (max-width: 768px) {
    .slide-box {
      width: 100%;
      left: 0;
      right: 0;
      overflow-x: hidden;
    }

    .col-4 {
      width: 50%;
    }

    .cerrar-btn {
      display: block;
    }

    #btn-donde-comprar {
      width: 43px;
      padding: 0;
      background: url(./assets/images/comprar-mobile.png) center center
        no-repeat;
      background-size: 45%;
      text-indent: -9999px;
      right: -30px;
      bottom: 10px;
    }

    #btn-donde-comprar::after {
      box-shadow: inset -0px 0px 0px 0px #232020 !important;
    }

    body.selection #btn-donde-comprar {
      background: url(./assets/images/comprar-mobile-selection.png) center
        center no-repeat;
    }

    body.selection #btn-donde-comprar::after {
      box-shadow: inset -0px 0px 0px 0px #232020 !important;
    }

    .logo-img {
      width: 115px;
    }

    .image-big {
      width: 100%;
    }

    .product-img {
      width: 45px;
    }

    #buttonbuy {
      margin-bottom: 0px;
      margin-left: 0px;
    }

    .row {
      margin: 40px 0px;
    }

    #goback {
      left: -40px;
    }

    #dynamic-content .row {
      margin: 0px !important;
    }

    .list-unstyled {
      padding-left: 30px;
    }
  }

  #scroll-content:focus {
    outline: none;
  }

  .mover_izquierda_texto2 {
    text-align: right;
    left: 43%;
    transform: translateX(-60%);
    position: relative;
    margin-top: 20vh;
    font-size: min(20vw, 90px);
  }

  .mover_izquierda_texto3 {
    margin-right: 121px;
    margin-top: -18px;
  }

  .caja-boton {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 300px;
    height: 400px;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
  }

  .boton:hover .caja-botones {
    display: block;
  }

  .caja-botones {
    position: relative;
    width: 300px;
    height: 400px;
    background-color: rgba(25, 244, 233, 0.3);
    display: none;
  }

  .img_pre {
    position: relative;
    width: 50%;
    height: 30px;
    left: -40px;
  }

  .col2 {
    width: 70%;
    flex-wrap: wrap;
    display: flex;
    justify-content: space-between;
    padding-bottom: 150px;
  }

  .column {
    max-width: 100%;
    position: relative;
    width: 100%;
  }

  .bg-amarillo {
    background-color: var(--amarillo);
  }

  h2 {
    font-family: "Dashiell", sans-serif !important;
    font-size: min(20vw, 120px);
    line-height: min(20vw, 100px);
  }

  h3 {
    font-family: "Dashiell", sans-serif !important;
    font-size: min(20vw, 120px);
    /* line-height: min(20vw, 100px); */
  }

  h4 {
    font-family: "Dashiell", sans-serif !important;
    font-size: min(50vw, 35px);
    font-size: min(50vw, 20px);
    text-transform: uppercase;
  }

  .ficha_selection h3 {
    font-family: "Festivo basic" !important;
    font-size: min(20vw, 120px);
    line-height: min(20vw, 110px);
    text-transform: uppercase;
    color: white !important;
  }

  .acordeon h3 {
    font-size: min(4vw, 60px);
    line-height: min(4vw, 50px);
    color: black;
  }

  .ficha_selection .acordeon h3 {
    font-size: min(7vw, 80px);
    line-height: min(10vw, 80px);
  }

  .bg-amarillo * {
    color: black;
  }

  .ficha_selection h4 {
    font-family: "Festivo basic" !important;
    font-size: min(50vw, 35px);
    font-size: min(50vw, 25px);
    text-transform: uppercase;
  }

  .centered {
    text-align: center;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
  }

  .centered2 {
    text-align: start;
    left: 50%;
    margin-top: 50vh;
    transform: translate(-50%, -50%);
  }

  ._texto {
    position: relative;
  }

  ._texto1 {
    top: 50vh;
    transform: translateY(-50%);
  }

  ._texto2 {
    text-align: right;
    left: 50%;
    transform: translateX(-60%);
    position: relative;
    margin-top: 20vh;
    font-size: min(20vw, 90px);
  }

  ._texto3 {
    margin-right: 62px;
    margin-top: -18px;
  }

  ._texto4 {
    position: relative;
    margin-top: 40vh;
    width: 60%;
    left: 40%;
    color: white !important;
  }

  ._texto4 p {
    color: white !important;
  }

  ._texto5 {
    margin-top: 140px;
    left: 20px;
    width: 75%;
    color: black;
  }

  ._texto6 {
    margin-top: -10px;
    left: 20px;
  }

  .a1 {
    height: 40vh;
    right: max(-18vw, -260px);
    margin-top: 0vh;
    position: relative;
  }

  .a2 {
    height: 40vh;
    right: max(-14vw, -200px);
    margin-top: -25vh;
    position: relative;
  }

  .a3 {
    height: 50vh;
    right: max(-32vw, -480px);
    margin-top: -55vh;
    position: relative;
  }

  .a4 {
    height: 50vh;
    left: 50%;
    margin-left: -150px;
    margin-top: -85vh;
    position: absolute;
    z-index: 10;
  }

  .a5 {
    height: 50vh;
    left: 50%;
    margin-left: 40px;
    margin-top: -25vh;
    position: absolute;
    z-index: 10;
  }

  .a6 {
    height: 90vh;
    left: 50%;
    margin-left: 20px;
    margin-top: -100vh;
    position: absolute;
    z-index: 10;
  }

  .absolute.v2 {
    position: absolute;
    width: 1200px;
    height: 800px;
    left: 0;
    top: 0px;
    margin: 0px;
    padding: 0px;
  }

  .fotos-global {
    position: relative;
    margin-top: -50vh;
    padding-bottom: 30vh;
  }

  .fotos {
    position: absolute;
    left: 50%;
    transform: translateX(-50%) !important;
    position: relative;
    width: 1200px;
    height: 800px;
  }

  .fotos.delante {
    position: absolute;
    z-index: 10;
    margin-top: -800px;
  }

  .burbujas {
    position: absolute;
    margin-top: 20vh;
  }

  .separacion.v3 {
    height: 300px;
    background-color: transparent;
  }

  .a6 img {
    height: 100%;
  }

  .col1.v2 {
    width: 50%;
  }

  .col2.v2 {
    width: 50%;
  }

  .sticky3 {
    z-index: 3;
    height: 70vh;
    left: 50%;
    width: auto;
    transform: translateX(-50%);
  }

  .sticky3 img {
    position: absolute;
    max-height: 100%;
    transform: translateX(-50%);
  }

  .sticky2,
  .sticky4 {
    position: absolute;
    z-index: 3;
    pointer-events: none;
    height: min(95vh, 990px);
    left: 50%;
    transform: translateX(-50%);
    margin-top: 5vh;
    padding-top: 5vh;
  }

  .sombreado.v2 {
    position: absolute;
  }

  section {
    position: relative;
    z-index: 1000;
  }

  body:not(.selection) .bloques_contenido * {
    color: black;
  }

  .acordeon {
    position: relative;
    padding: 20px;
    display: flex;
    flex-flow: column;
    align-items: center;
    height: 9vw;
    overflow: hidden;
  }

  .acordeon.active {
    height: auto;
  }

  .titulo-bloque {
    position: relative;
    display: flex;
    flex-flow: row;
    border-bottom: 2px solid;
    justify-content: space-between;
    align-items: center;
  }

  .titulo-bloque .contenedor {
    display: flex !important;
    flex-direction: row;
    justify-content: space-between;
    left: 50%;
    align-items: center;
    transform: translateX(-50%);
    width: 100%;
    position: relative;
  }

  .info-bloque {
    position: relative;
  }

  .titulo-bloque.over h3 {
    margin-left: 50px;
  }

  .titulo-bloque .flecha,
  .acordeon .flecha {
    transform: rotate(90deg);
  }

  .titulo-bloque.over .flecha,
  .acordeon.activo .flecha {
    transform: rotate(180deg);
  }

  .titulo-bloque .flecha img,
  .acordeon .flecha img {
    max-width: 7vw;
  }

  .faldon .bg {
    position: relative;
    background-size: contain;
    background-position: top;
    background-repeat: no-repeat;
    width: 100%;
    height: 100%;
  }

  .tabla-nutricional {
    width: 100%;
  }

  .tabla-nutricional td {
    vertical-align: text-top;
  }

  .tabla-nutricional .centro p {
    text-align: center;
  }

  .info-tabla p,
  .info-tabla .tabla-nutricional p,
  .info-tabla .tabla-nutricional strong,
  .info-tabla .tabla-nutricional em {
    color: white !important;
  }

  .info-bloque-black p,
  .info-bloque-black .tabla-nutricional p,
  .info-bloque-black .tabla-nutricional strong,
  .info-bloque-black .tabla-nutricional em {
    color: black !important;
  }

  .formatos-int {
    display: flex;
    justify-content: flex-start;
    align-items: self-end;
    width: 50%;
    text-align: center;
  }

  @media screen and (max-aspect-ratio: 1/1) {
    .titulo1 {
      font-size: min(12vw, 75px) !important;
      line-height: min(12vw, 75px) !important;
    }

    .sticky2,
    .sticky4 {
      margin-top: 5vh;
      transform-origin: bottom;
    }

    .img-logo1 {
      display: none;
    }

    .prod_container,
    .prod_container a {
      width: 50%;
    }

    ._texto:not(.bloque_texto) {
      width: 100%;
      left: 60%;
      text-align: left;
    }

    ._texto2 {
      margin-top: 60vh;
    }

    h2 {
      font-family: "Dashiell", sans-serif !important;
      font-size: min(20vw, 120px);
      line-height: min(20vw, 100px);
    }

    h3 {
      font-size: min(20vw, 130px);
      /* line-height: min(18vw, 83px); */
      margin-bottom: 30px;
    }

    .ficha_selection h3 {
      font-size: min(22vw, 130px);
      line-height: min(20vw, 110px);
    }

    body.selection .ficha_selection h3 {
      color: white !important;
    }

    .centered2 {
      margin-top: 20vh;
    }

    ._texto2 {
      font-size: min(20vw, 65px);
    }

    ._texto4 {
      width: 100vw;
      left: 0px;
      margin-top: 125vh;
    }

    ._texto3 {
      left: 0px !important;
      margin-top: -30px;
      font-size: min(20vw, 19px);
      text-align: left !important;
    }

    ._texto5,
    ._texto6b {
      left: 0 !important;
      margin-top: 0px !important;
    }

    .a1 {
      right: 2vw;
    }

    .a2 {
      right: 6vw;
    }

    .a5 {
      height: 20vh;
      right: 3vw;
      margin-top: -15vh;
      position: absolute;
      z-index: 10;
    }

    .a5 img {
      margin-top: 0;
    }

    .a6 {
      position: relative;
      right: -55%;
      margin-top: -40vh;
      height: 70vh;
    }

    .a6 img {
      max-height: 55vh;
      margin-top: 0;
    }

    .flexcol2 {
      display: block;
      width: 100%;
      left: 0;
      transform: none;
    }

    .column {
      box-sizing: border-box;
      padding: 20px;
      width: 100% !important;
    }

    .col2.v2 {
      left: 0;
      position: absolute;
      top: 60px;
    }

    .acordeon {
      height: 12vh;
    }

    .acordeon h3 {
      font-size: min(5vw, 80px);
      line-height: min(7vw, 80px);
    }

    .ficha_selection .acordeon h3 {
      font-size: min(7vw, 80px);
      line-height: min(10vw, 80px);
    }

    .sticky2,
    .sticky4 {
      height: min(60vh, 990px);
    }

    .fotos {
      position: relative;
      width: 100%;
      height: 800px;
    }

    .fotos-global {
      position: relative;
      margin-top: 0vh;
      padding-bottom: 50vh;
      height: 80vh;
    }

    .absolute.v2 {
      position: absolute;
      width: 1200px;
      height: 0;
      left: 50%;
      top: 0px;
      margin: 0px;
      padding: 0px;
      transform: translateX(-50%) scale(0.5);
    }

    .tabla-nutricional {
      padding: 0px 0;
    }

    .tabla-nutricional p:nth-child(1) {
      text-align: center;
      font-size: 14px;
    }

    .tabla-nutricional p:nth-child(2),
    .tabla-nutricional p:nth-child(3),
    .tabla-nutricional p:nth-child(4) {
      text-align: center;
      font-size: 14px;
    }

    .formatos-int {
      width: 100%;
    }

    .formatos-int img {
      width: 70px;
    }
  }

  @media screen and (max-width: 1024px) {
    body:not(.selection) .centered2 {
      left: 58% !important;
      font-size: 85px !important;
    }

    body:not(.selection) ._texto2 {
      left: 70% !important;
      font-size: min(20vw, 70px) !important;
      line-height: normal !important;
      text-align: left !important;
    }
  }

  @media screen and (max-width: 588px) {
    body:not(.selection) .centered2 {
      top: 4rem;
      text-align: center !important;
      line-height: normal !important;
      font-size: 65px !important;
      left: 50% !important;
    }

    body:not(.selection) ._texto2 {
      text-align: center !important;
      line-height: normal !important;
      font-size: 65px !important;
      left: 60% !important;
    }
  }
}
